From dff0cd49f8e2a93b7f5547b14099e49b910f3cee Mon Sep 17 00:00:00 2001
From: paul-1 <6473457+paul-1@users.noreply.github.com>
Date: Thu, 18 Apr 2024 19:31:12 -0400
Subject: [PATCH 1/6] configs: Set localversion strings for piCore

---
 arch/arm/configs/bcm2709_defconfig   | 2 +-
 arch/arm/configs/bcm2711_defconfig   | 2 +-
 arch/arm/configs/bcmrpi_defconfig    | 1 +
 arch/arm64/configs/bcm2711_defconfig | 2 +-
 arch/arm64/configs/bcm2712_defconfig | 2 +-
 arch/arm64/configs/bcmrpi3_defconfig | 2 +-
 6 files changed, 6 insertions(+), 5 deletions(-)

diff --git a/arch/arm/configs/bcm2709_defconfig b/arch/arm/configs/bcm2709_defconfig
index 1a11b88f4601..e51c8be912d9 100644
--- a/arch/arm/configs/bcm2709_defconfig
+++ b/arch/arm/configs/bcm2709_defconfig
@@ -1,4 +1,4 @@
-CONFIG_LOCALVERSION="-v7"
+CONFIG_LOCALVERSION="-piCore-v7"
 # CONFIG_LOCALVERSION_AUTO is not set
 CONFIG_SYSVIPC=y
 CONFIG_POSIX_MQUEUE=y
diff --git a/arch/arm/configs/bcm2711_defconfig b/arch/arm/configs/bcm2711_defconfig
index 9bbb8f8ebeda..009c3a77382f 100644
--- a/arch/arm/configs/bcm2711_defconfig
+++ b/arch/arm/configs/bcm2711_defconfig
@@ -1,4 +1,4 @@
-CONFIG_LOCALVERSION="-v7l"
+CONFIG_LOCALVERSION="-piCore-v7l"
 # CONFIG_LOCALVERSION_AUTO is not set
 CONFIG_SYSVIPC=y
 CONFIG_POSIX_MQUEUE=y
diff --git a/arch/arm/configs/bcmrpi_defconfig b/arch/arm/configs/bcmrpi_defconfig
index 3a063a38070d..f37bd4312245 100644
--- a/arch/arm/configs/bcmrpi_defconfig
+++ b/arch/arm/configs/bcmrpi_defconfig
@@ -1,3 +1,4 @@
+CONFIG_LOCALVERSION="-piCore"
 # CONFIG_LOCALVERSION_AUTO is not set
 CONFIG_SYSVIPC=y
 CONFIG_POSIX_MQUEUE=y
diff --git a/arch/arm64/configs/bcm2711_defconfig b/arch/arm64/configs/bcm2711_defconfig
index 9fdffb1bd44c..84221b516737 100644
--- a/arch/arm64/configs/bcm2711_defconfig
+++ b/arch/arm64/configs/bcm2711_defconfig
@@ -1,4 +1,4 @@
-CONFIG_LOCALVERSION="-v8"
+CONFIG_LOCALVERSION="-piCore-v8"
 # CONFIG_LOCALVERSION_AUTO is not set
 CONFIG_SYSVIPC=y
 CONFIG_POSIX_MQUEUE=y
diff --git a/arch/arm64/configs/bcm2712_defconfig b/arch/arm64/configs/bcm2712_defconfig
index 9eb5aace19ed..1294670f71c9 100644
--- a/arch/arm64/configs/bcm2712_defconfig
+++ b/arch/arm64/configs/bcm2712_defconfig
@@ -1,4 +1,4 @@
-CONFIG_LOCALVERSION="-v8-16k"
+CONFIG_LOCALVERSION="-piCore-v8-16k"
 # CONFIG_LOCALVERSION_AUTO is not set
 CONFIG_SYSVIPC=y
 CONFIG_POSIX_MQUEUE=y
diff --git a/arch/arm64/configs/bcmrpi3_defconfig b/arch/arm64/configs/bcmrpi3_defconfig
index 60d2ae74698e..787ec31115a6 100644
--- a/arch/arm64/configs/bcmrpi3_defconfig
+++ b/arch/arm64/configs/bcmrpi3_defconfig
@@ -1,4 +1,4 @@
-CONFIG_LOCALVERSION="-v8"
+CONFIG_LOCALVERSION="-piCore-v8"
 # CONFIG_LOCALVERSION_AUTO is not set
 CONFIG_SYSVIPC=y
 CONFIG_POSIX_MQUEUE=y
-- 
2.48.1

